#ifndef ADDDIALOG_H
#define ADDDIALOG_H

#include <QDialog>
#include "mainwindow.h"

namespace Ui {
class AddDialog;
}

class AddDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AddDialog(QWidget *parent = 0);
    ~AddDialog();
    QPushButton *s;
    QString StationName;
    QString StationAddress;
    QString StationGenre;
    QString StationCountry;
    QString FavoriteONOFF;

    bool AddCancelTriger;

    //Translation
    QString Info_a;
    QString Info_b;
    QString Title;
    QString SaveStationButtonText;
    QString SaveStationDialogText;
    QString SaveStationConfirmDialog;
    QString SaveStationErrorDialogText;
    QString SaveStationErrorDialogInfoText;
    QString TestItButtonTextGo;
    QString TestItButtonTextStop;
    QString ExtensionErrorMSG_a;
    QString ExtensionErrorMSG_b;
    QString PlayingStatusText;
    QString PlayingStatusWorking;
    QString PlayingStatusNotWorking;
    QString Adress;
    QString AdressInUse;
    QString AdressNotInUse;
    QString AdressValid;
    QString AdressNotValid;
    QString SName;
    QString SAddress;
    QString SGenre;
    QString SRegion;
    QString CancelButtonText;
    QString ApplyButtonText;
    QString AddButtonText;
    QString OKButtonText;
    QString ResetButtonText;
    QString LangFavorite;
    QString AddNewStationTabText;

    QString NameFieldERROR1;
    QString NameFieldERROR2;

    QString LoadFromFileLabel1;
    QString LoadFromFileLabel2;


private slots:

    void AddButton_clicked();

    void pushButton_clicked();

    void ClearFields();

    void TestStation();

    void ChangePlayingStatus();

    void on_TestButton_clicked();

    void on_StationAddress_lineEdit_textChanged(const QString &arg1);

    void ReadLanguage(QString Language);

    void on_loadplaylistButton_clicked();

private:
    Ui::AddDialog *ui;
};

#endif // ADDDIALOG_H
