#include <QtGui/QApplication>
#include "mainwindow.h"
#include "QSharedMemory"
#include "QMessageBox"
bool m_isRunning;
QSharedMemory sharedMemory;

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    a.setApplicationName("Great Little Radio Player");
    a.setApplicationVersion("1.4.7");

    sharedMemory.setKey("GreatLittleRadioPlayer");
    QMessageBox mb;

    if(sharedMemory.attach())
        m_isRunning = true;

    if (!sharedMemory.create(1))
        {
            mb.setWindowTitle(a.applicationName());
            mb.setIcon(QMessageBox::Warning);
            mb.setText("Already one instance of the program is running.");
            mb.exec();

            a.exit();
        }
            else
            {
            MainWindow w;
            return a.exec();
            }


}
